<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
	<key>Kind</key>
	<string>Xcode.Xcode3.ProjectTemplateUnitKind</string>
	<key>Identifier</key>
	<string>com.apple.dt.unit.psychlopsApp</string>
	<key>Concrete</key>
	<true/>
	<key>Description</key>
	<string>This template for Psychlops.</string>
	<key>Ancestors</key>
	<array>
		<string>com.apple.dt.unit.base</string>
		<string>com.apple.dt.unit.macBase</string>
		<string>com.apple.dt.unit.macReferenceCounting</string>
	</array>
	<key>Targets</key>
	<array>
		<dict>
			<key>Frameworks</key>
			<array>
				<string>../../System/Library/Frameworks/CoreServices</string>
				<string>../../System/Library/Frameworks/AppKit</string>
				<string>../../System/Library/Frameworks/Carbon</string>
				<string>../../System/Library/Frameworks/ApplicationServices</string>
				<string>../../System/Library/Frameworks/AGL</string>
				<string>Psychlops</string>
				<string>../../System/Library/Frameworks/OpenGL</string>
			</array>
			<key>ProductType</key>
			<string>com.apple.product-type.tool</string>
			<key>BuildPhases</key>
			<array>
				<dict>
					<key>Class</key>
					<string>Sources</string>
				</dict>
				<dict>
					<key>Class</key>
					<string>Frameworks</string>
				</dict>
				<dict>
					<key>Class</key>
					<string>CopyFiles</string>
					<key>DstPath</key>
					<string>/usr/share/man/man1/</string>
					<key>DstSubfolderSpec</key>
					<string>0</string>
					<key>RunOnlyForDeploymentPostprocessing</key>
					<string>YES</string>
				</dict>
			</array>
		</dict>
	</array>
	<key>Options</key>
	<array>
		<dict>
			<key>Identifier</key>
			<string>commandLineType</string>
			<key>Name</key>
			<string>Type</string>
			<key>Description</key>
			<string>The type of command-line tool to create</string>
			<key>Default</key>
			<string>C++</string>
			<key>Type</key>
			<string>popup</string>
			<key>Units</key>
			<dict>
				<key>C</key>
				<dict>
					<key>Nodes</key>
					<array>
						<string>main.c:comments</string>
						<string>main.c:include</string>
						<string>main.c:main:content</string>
						<string>___PACKAGENAMEASIDENTIFIER___.1</string>
					</array>
					<key>Definitions</key>
					<dict>
						<key>main.c:include</key>
						<string>#include &lt;stdio.h&gt;
</string>
						<key>main.c:main:content</key>
						<string>// insert code here...
printf(&quot;Hello, World!\n&quot;);
</string>
					</dict>
				</dict>
				<key>C++</key>
				<dict>
					<key>Nodes</key>
					<array>
						<string>main.cpp:comments</string>
						<string>main.cpp:include</string>
						<string>main.cpp:main:content</string>
						<string>___PACKAGENAMEASIDENTIFIER___.1</string>
					</array>
					<key>Definitions</key>
					<dict>
						<key>main.cpp:include</key>
						<string>#include &lt;iostream&gt;
</string>
						<key>main.cpp:main:content</key>
						<string>// insert code here...
std::cout &lt;&lt; &quot;Hello, World!\n&quot;;
</string>
					</dict>
				</dict>
				<key>Core Data</key>
				<dict>
					<key>Targets</key>
					<array>
						<dict>
							<key>SharedSettings</key>
							<dict>
								<key>GCC_PRECOMPILE_PREFIX_HEADER</key>
								<string>YES</string>
								<key>GCC_PREFIX_HEADER</key>
								<string>___PACKAGENAME___/___PACKAGENAME___-Prefix.pch</string>
							</dict>
							<key>Frameworks</key>
							<array>
								<string>CoreData</string>
								<string>Foundation</string>
							</array>
						</dict>
					</array>
					<key>Nodes</key>
					<array>
						<string>main.m:comments</string>
						<string>main.m:coreData</string>
						<string>main.m:main:content</string>
						<string>___PACKAGENAME___-Prefix.pch:objC:importFoundation</string>
						<string>___PACKAGENAME___-Prefix.pch:objC:importCoreData</string>
						<string>___PACKAGENAMEASIDENTIFIER___.xcdatamodeld</string>
						<string>___PACKAGENAMEASIDENTIFIER___.1</string>
					</array>
					<key>Definitions</key>
					<dict>
						<key>main.m:main:content</key>
						<string>@autoreleasepool {
    // Create the managed object context
    NSManagedObjectContext *context = managedObjectContext();
    
    // Custom code here...
    // Save the managed object context
    NSError *error = nil;
    if (![context save:&amp;error]) {
        NSLog(@&quot;Error while saving %@&quot;, ([error localizedDescription] != nil) ? [error localizedDescription] : @&quot;Unknown Error&quot;);
        exit(1);
    }
}
</string>
						<key>main.m:coreData</key>
						<string>static NSManagedObjectModel *managedObjectModel()
{
    static NSManagedObjectModel *model = nil;
    if (model != nil) {
        return model;
    }
    
    NSString *path = [[[NSProcessInfo processInfo] arguments] objectAtIndex:0];
    path = [path stringByDeletingPathExtension];
    NSURL *modelURL = [NSURL fileURLWithPath:[path stringByAppendingPathExtension:@&quot;momd&quot;]];
    model = [[NSManagedObjectModel alloc] initWithContentsOfURL:modelURL];
    
    return model;
}

static NSManagedObjectContext *managedObjectContext()
{
    static NSManagedObjectContext *context = nil;
    if (context != nil) {
        return context;
    }

    @autoreleasepool {
        context = [[NSManagedObjectContext alloc] init];
        
        NSPersistentStoreCoordinator *coordinator = ___RP___[[NSPersistentStoreCoordinator alloc] initWithManagedObjectModel:managedObjectModel()]___AR___;
        [context setPersistentStoreCoordinator:coordinator];
        
        NSString *STORE_TYPE = NSSQLiteStoreType;
        
        NSString *path = [[[NSProcessInfo processInfo] arguments] objectAtIndex:0];
        path = [path stringByDeletingPathExtension];
        NSURL *url = [NSURL fileURLWithPath:[path stringByAppendingPathExtension:@&quot;sqlite&quot;]];
        
        NSError *error;
        NSPersistentStore *newStore = [coordinator addPersistentStoreWithType:STORE_TYPE configuration:nil URL:url options:nil error:&amp;error];
        
        if (newStore == nil) {
            NSLog(@&quot;Store Configuration Failure %@&quot;, ([error localizedDescription] != nil) ? [error localizedDescription] : @&quot;Unknown Error&quot;);
        }
    }
    return context;
}
</string>
						<key>___PACKAGENAME___-Prefix.pch:objC:importCoreData</key>
						<string>#import &lt;CoreData/CoreData.h&gt;</string>
						<key>___PACKAGENAMEASIDENTIFIER___.xcdatamodeld</key>
						<dict>
							<key>Path</key>
							<string>___PACKAGENAMEASIDENTIFIER___.xcdatamodeld</string>
						</dict>
					</dict>
				</dict>
				<key>Core Foundation</key>
				<dict>
					<key>Targets</key>
					<array>
						<dict>
							<key>Frameworks</key>
							<array>
								<string>CoreFoundation</string>
							</array>
						</dict>
					</array>
					<key>Nodes</key>
					<array>
						<string>main.c:comments</string>
						<string>main.c:include</string>
						<string>main.c:main:content</string>
						<string>___PACKAGENAMEASIDENTIFIER___.1</string>
					</array>
					<key>Definitions</key>
					<dict>
						<key>main.c:include</key>
						<string>#include &lt;CoreFoundation/CoreFoundation.h&gt;
</string>
						<key>main.c:main:content</key>
						<string>// insert code here...
CFShow(CFSTR(&quot;Hello, World!\n&quot;));
</string>
					</dict>
				</dict>
				<key>Core Services</key>
				<dict>
					<key>Targets</key>
					<array>
						<dict>
							<key>Frameworks</key>
							<array>
								<string>CoreServices</string>
							</array>
						</dict>
					</array>
					<key>Nodes</key>
					<array>
						<string>main.c:comments</string>
						<string>main.c:include</string>
						<string>main.c:main:content</string>
						<string>___PACKAGENAMEASIDENTIFIER___.1</string>
					</array>
					<key>Definitions</key>
					<dict>
						<key>main.c:include</key>
						<string>#include &lt;CoreServices/CoreServices.h&gt;
</string>
						<key>main.c:main:content</key>
						<string>// insert code here...
printf(&quot;Hello, World!\n&quot;);
</string>
					</dict>
				</dict>
				<key>Foundation</key>
				<dict>
					<key>Targets</key>
					<array>
						<dict>
							<key>SharedSettings</key>
							<dict>
								<key>GCC_PRECOMPILE_PREFIX_HEADER</key>
								<string>YES</string>
								<key>GCC_PREFIX_HEADER</key>
								<string>___PACKAGENAME___/___PACKAGENAME___-Prefix.pch</string>
							</dict>
							<key>Frameworks</key>
							<array>
								<string>Foundation</string>
							</array>
						</dict>
					</array>
					<key>Nodes</key>
					<array>
						<string>main.m:comments</string>
						<string>main.m:include</string>
						<string>main.m:main:content</string>
						<string>___PACKAGENAME___-Prefix.pch:objC:importFoundation</string>
						<string>___PACKAGENAMEASIDENTIFIER___.1</string>
					</array>
					<key>Definitions</key>
					<dict>
						<key>main.m:include</key>
						<string>#import &lt;Foundation/Foundation.h&gt;
</string>
						<key>main.m:main:content</key>
						<string>@autoreleasepool {
    
    // insert code here...
    NSLog(@&quot;Hello, World!&quot;);
    
}
</string>
					</dict>
				</dict>
			</dict>
		</dict>
	</array>
	<key>Definitions</key>
	<dict>
		<key>*:main</key>
		<dict>
			<key>Beginning</key>
			<string>/*</string>
			<key>End</key>
			<string>*/</string>
			<key>Indent</key>
			<integer>1</integer>
		</dict>
		<key>___PACKAGENAMEASIDENTIFIER___.cpp</key>
		<dict>
			<key>Path</key>
			<string>PsychlopsApp.cpp</string>
		</dict>
	</dict>
	<key>Project</key>
	<dict>
		<key>Configurations</key>
		<dict>
			<key>Release</key>
			<dict>
				<key>ARCHS</key>
				<string>$(ARCHS_STANDARD_32_BIT)</string>
				<key>OTHER_LDFLAGS</key>
				<string>-lPsychlops10.7</string>
				<key>LIBRARY_SEARCH_PATHS</key>
				<string>/Library/Frameworks/Psychlops.framework/</string>
				<key>HEADER_SEARCH_PATHS</key>
				<string>/Library/Frameworks/Psychlops.framework/Headers</string>
			</dict>
			<key>Debug</key>
			<dict>
				<key>ARCHS</key>
				<string>$(ARCHS_STANDARD_32_BIT)</string>
				<key>OTHER_LDFLAGS</key>
				<string>-lPsychlops10.7</string>
				<key>LIBRARY_SEARCH_PATHS</key>
				<string>/Library/Frameworks/Psychlops.framework/</string>
				<key>HEADER_SEARCH_PATHS</key>
				<string>/Library/Frameworks/Psychlops.framework/Headers</string>
			</dict>
		</dict>
	</dict>
	<key>Nodes</key>
	<array>
		<string>___PACKAGENAMEASIDENTIFIER___.cpp</string>
	</array>
</dict>
</plist>
